/*
 * 08/05/89 (phd+vfr) GLOBALs
 */

#include "sysconfig.h"
#include <ctype.h>
#include "np.h"

struct object *globallist = (struct object *) NULL;


/*
 * Generate functions for client and server calls to a procedure.
 */

glob_functions(proc_name, type)
	char *proc_name;
	struct object *type;
{
	if( np_gen_server ) {
	    server_global(proc_name, type);
	}
	if( np_gen_client ) {
	    client_global(proc_name, type);
	}
}


struct object *
global_type(args)
	list args;
{
	struct object *t;

	t = make_type(C_GLOBAL);
	t->t_args = args;
	if (globallist == (struct object *) NULL) {
	    globallist = t;
	}
	else {
	    error(FATAL, "internal error (global_type): global list not unique");
	}
	return (t);
}

/*
 * Generate client and server declaration of the global list
 */

define_global(name, type)
	struct object *name, *type;
{
	struct object *t;
	unsigned long random_id;

	if (recursive_flag)
		return;
	t = basetype(type);
	if (t->t_constr != C_GLOBAL)
		error(FATAL, "internal error (define_global): not a global");

	glob_functions(rep(name), t );
/*	declare(&procedures, name, type); */
}
