/*
 * Creation 1989 by P.Defert and M.Tacchino.
 */

#include "sysconfig.h"
#include "np.h"

/*
 * Generate the server declaration of the global list
 */

server_global(proc_name, type)
	char *proc_name;
	struct object *type;
{
	list p, q;
	int nresults, fixed_size, variable_size;
	struct object *t, *bt, *result_type;
	char *result_name, *ref, *rtname;
	int a_mode, d_mode;

	fprintf(server, "\n/* Global list definition as internals */\n\n");

	for (p = type->t_args; p != NIL; p = cdr(p)) {
		t = ocdr(car(p));
		for (q = car(car(p)); q != NIL; q = cdr(q))
			fprintf(server, "\t%s %s;\n", rep(t), ocar(q)->o_name);
	}
 	fprintf(server, "\n");
   }
    
