/* quick hack for swapal() and swapas() routines for byte swapping for xenix */
/* We should check later whether ntohx() on swapped machines are not faster */

#include "sysconfig.h"

#define SWAPS(x) ((((x) >> 8) | ((x) << 8)) & 0xffff)
#define SWAPL(x) ((((x) >> 24) | ((x) << 24)) |\
		  (((x) & 0x0000ff00) << 8) | (((x) & 0x00ff0000) >> 8) )

unsigned short
swapas(short unsigned int ashort)
{
	return(SWAPS(ashort));
}

unsigned long
swapal(nc_32uint along)
{
	return(SWAPL(along));
}

