/*
 * Copyright (C) 1986 by Inge B. Kristiansen.
 * All rights reserved.
 */

#include "sysconfig.h"
#include "queue.h"


/*
 * Insert an element at the head of the queue.
 */

void
q_ahead(register struct nc_queue *q, register struct queue_item *x)
{
	if (q->tail == 0) {
		q->head = q->tail = x;
		x->link = 0;
	} else {
		x->link = q->head;
		q->head = x;
	}
}
