/*
 * Copyright (C) 1986 by Inge B. Kristiansen.
 * All rights reserved.
 */

#include "sysconfig.h"
#include "queue.h"


/*
 * Apply a function to all elements in a queue in order from head
 * to tail.
 */

/* VARARGS2 */
void
q_walk(register struct nc_queue *q, register int (*fn) (/* ??? */), queue_args args)
{
	register struct queue_item *x;

	for (x = q->head; x != 0; x = x->link)
		(*fn)(x, &args);
}
