/* %W% %E% */
/*
 * Origin       Eric Cooper UCB
 *
 * Modified 1986 by Inge B. Kristiansen.
 *
 * 29/05/90 raw: added call to tm_traceinit to initialize trace flags.
 */

#include "tm_include.h"
extern  int tm_enabled;

/*
 * Initialize the timer package with the interrupt handler routine if
 * necessary. From the beginning the handler is initialized to point
 * to the tm_clockinterrupt() routine. If the enabled parameter is
 * nonzero, the signal handler for alarms is supposed to be enabled
 * in advance.
 */

void
/*tm_init(int (*handler) (), int enabled)*/
tm_init( void(*handler)(int), int enabled) /* CS - 05.09.2000 */
{
	tm_traceinit();
	tm_interrupt = handler;
	tm_enabled = enabled;
}
