/*
 * Creation 1989 by P.Defert and M.Tacchino.
 */

#include "sysconfig.h"
#include "np.h"

/*
 * Generate the client declarations for the global list 
 */

client_global(proc_name, type)
	char *proc_name;
	struct object *type;
{
	list p, q;
	int nresults, fixed_size, variable_size;
	struct object *t, *bt, *result_type;
	char *result_name, *ref, *rtname;
	int a_mode, d_mode;

	fprintf(client, "\n/* Global list definition as externs */\n\n");
	
	for (p = type->t_args; p != NIL; p = cdr(p)) {
		q = car(car(p));
		t = ocdr(car(p));
		ref = indamode(basetype(t), ocar(q)->o_addr);
		for (q = car(car(p)); q != NIL; q = cdr(q))
			fprintf(client, "\textern %s %s%s;\n",
				rep(t), ref, ocar(q)->o_name);
	}
	fprintf(client, "\n");
    }
