/*
 * Copyright (C) 1986 by Inge B. Kristiansen.
 * All rights reserved.
 *
 * 04.07.90 kk  Removed a flag for alarms
 */

#include "sysconfig.h"
#include "np.h"


/*
 * The compiler flags maintained by this module.
 */

int np_alarms   = NP_ALARMS;            /* Alarms are not handled Ok by Xenix */


/*
 * Process compiler flags set by the user.
 */

np_cflags( flag_string )
	char *flag_string;
{
	register char *cp;

	for( cp = flag_string; *cp != 0; ++cp ) {
		switch( *cp ) {
			case 'a':
				break;

			default:
				np_error( "nc", "No such compiler flag \"%c\"", *cp );
				exit( 1 );
		}
	}
}
