VERSION_DIR = libnc
LIBVERSION    = 2
LIBRELEASE = 14
LIBSUBRELEASE = 2
INST_DIR_LIB = /runtime
INST_DIR_BIN = /runtime

FLEXLIB = -ll
MATHLIB = -lm

#definitions for LINUX386
CC      = gcc
LD = gcc
ARCH     = LINUXAMD64
MAKE     = make
CFLAGS   =  -fPIC -DREENTRANT -O3 -D$(ARCH) 
CFLAGS   += -Wno-implicit-int -Wno-implicit-function-declaration 
YYCFLAGS = -fPIC -DREENTRANT -O -D$(ARCH)
SHSUFFIX =so
SHSONAME =libnc.$(SHSUFFIX).$(LIBVERSION).$(LIBRELEASE)
NCLIBSH  = libnc.$(SHSUFFIX).$(LIBVERSION).$(LIBRELEASE).$(LIBSUBRELEASE)
NCLIBSHSYMLINK = libnc.$(SHSUFFIX)
NCLIBSTAT = libnc.a
LDFLAGS= -shared -Wl,-soname=$(SHSONAME)

#add path ofr using internnally generated nc compiler
PATH := $(BASEDIR)/bin:${PATH}
export PATH

#definitions for ARM-YOCTO
# GCC = arm-flop-linux-gnueabi-gcc
# CC = arm-flop-linux-gnueabi-gcc
# LD = arm-flop-linux-gnueabi-gcc
# ARCH     = LINUXARM
# MAKE     = make
# CFLAGS   = -fpic -DREENTRANT -O3 -D$(ARCH) -I$(NCHOME)/include -I$(NCSRC)/nclib/include
# YYCFLAGS = -fpic -DREENTRANT -O -D$(ARCH) -I$(NCHOME)/include -I$(NCSRC)/nclib/include
# SHSUFFIX =so
# SHSONAME =libnc.$(SHSUFFIX).$(LIBVERSION).$(LIBRELEASE)
# NCLIBSH  = libnc.$(SHSUFFIX).$(LIBVERSION).$(LIBRELEASE).$(LIBSUBRELEASE)
# NCLIBSHSYMLINK = libnc.$(SHSUFFIX)
# NCLIBSTAT = libnc.a
# LDFLAGS= -shared -Wl,-soname=$(SHSONAME)

#definitions for HPPA
#CC    = cc
#ARCH  = HPPA
#MAKE =  make
#CFLAGS = +Z -Ae +O3 +DAportable -I$(NCHOME)/include -I$(NCSRC)/nclib/include
#YYCFLAGS = +Z -Ae +O3 +DAportable -I$(NCHOME)/include -I$(NCSRC)/nclib/include
#SHSUFFIX =sl
#SHSONAME =$(SHSUFFIX).$(LIBVERSION).$(LIBRELEASE)
#NCLIBSH  = libnc.$(SHSONAME)
#NCLIBSHSYMLINK = libnc.$(SHSUFFIX)
#NCLIBSTAT = libnc.a

#LDFLAGS= -b +h libnc.$(SHSONAME)



.SUFFIXES:
.SUFFIXES: .c .o

.c.o:
	$(CC) $(CFLAGS) -c $<
