/*
 * usage: nh machine [timeout [nc traceflags rx traceflags]]
 */
#include <stdio.h>

main(argc, argv)
	int argc;
	char **argv;
{
	int sid;
	long timeout;


	if ((argc < 2) || (argc > 5)) {
		fprintf(stderr, "Usage: %s machine [timeout [nc traceflags rx traceflags]]\n", argv[0]);
		exit(1);
	}

	if (argc >= 3) {
		timeout = (atoi(argv[2]));
	} else
		timeout = -1;
	if (argc >= 4)
		nc_trace(argv[3]);
	if (argc >= 5)
		rx_trace(argv[4]);


	for(;;) {
		if ((sid = import_nh(argv[1])) < 0 ) {
			nc_perror("import_nh()");
			exit( 1 );
		}
		sleep(2);
		free_nh(sid);
	}
}
