/* %W% %E% */
/*
 * Origin       Eric Cooper UCB
 *
 * Modified 1986 by Inge B. Kristiansen.
 */

#include "tm_include.h"

/*
 * Compare timers with a certain time value.
 */

int
tm_timertest(register struct timer *a, register struct timer *b, register struct timer *t)
{
	if (a == ZERO)
		return (b == ZERO || tm_compare(&t->deadline, &b->deadline) < 0);
	else if (b == ZERO)
		return (1);
	else
		return (tm_compare(&t->deadline, &a->deadline) >= 0 &&
			tm_compare(&t->deadline, &b->deadline) < 0);
}
